package com.fs.erp.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 订单扩展数据DTO
 */
@Data
class OrderExtDataDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    private String autoId;
    private String iid;
    private String skuId;
    private String skuCode;
    private String name;
    private String declareNameZN;
    private String declareNameEN;
    private String declareAmount;
    private String declareWeight;
    private String hsCode;
    private String postTaxNum;
    private Boolean isBattery;
    private Boolean isLiquid;
    private Boolean isDisable;
    private String creator;
    private String created;
    private String modifier;
    private String modified;
    private String unit;
    private Boolean isSetSkubin;
    private Boolean isJoinSkuid;
    private Boolean isPaste;
    private Boolean isMagnetic;
    private Boolean isFluid;
    private Boolean isGetPrice;
    private Boolean isGetWeight;
    private String specialAttr;
    private String country;
    private String tempName;
    private String tempId;
    private Boolean isDefault;
    private String shopId;
    private Boolean isOAmount;
    private String cid;
    private Boolean isPowder;
    private Boolean isSpecialCargo;
    private Boolean isJoinSkubin;
    private String saveType;
    private Integer declareType;
}
