package com.fs.his.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 体检报告模板对象 fs_physical_report_template
 *
 * @author fs
 * @date 2025-07-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsPhysicalReportTemplate extends BaseEntity{

    /** 体检模板ID */
    @Excel(name = "模板编码")
    private Long id;

    /** 体检模板名称 */
    @Excel(name = "模板名称")
    private String templateName;

    /** 状态（0未启用、1启用） */
    @Excel(name = "状态", readConverterExp = "0=未启用、1启用")
    private String status;


}
