package com.fs.qw.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class QwIPadServerLogVO {
    /** $column.columnComment */
    private Long id;

    /** 服务器id */
    private Long serverId;

    /** 企微用户 */
    private Long qwUserId;

    /** 公司id */
    private Long companyId;

    /** 公司用户id */
    private Long companyUserId;



    /** 服务器名称 */
    @Excel(name = "服务器")
    private String serverName;
    /** 企微用户名称 */
    @Excel(name = "企微用户")
    private String qwUserName;
    /** 企业名称 */
    @Excel(name = "公司")
    private String companyName;
    /** 公司用户名称 */
    @Excel(name = "公司用户")
    private String companyUserName;
    /** 标题 */
    @Excel(name = "标题")
    private String tilie;
    /** 类别 1 绑定 2 解绑 */
    @Excel(name = "类别",readConverterExp = "1=绑定,2=解绑")
    private Integer type;
}
